Skip to content

Databases

All operations require authentication.

4 operationsv2/publicCloud/project
Agent setup

List databasesBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database

Returns the databases of the service, including the engine default database.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Database[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

default
read-only
boolean

Whether this is the engine default database created automatically at provisioning time

id
read-only
stringuuid

Unique identifier of the database

name
read-only
string

Name of the database

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a databaseBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database/{databaseId}

Returns the database name and whether it is the engine default database.

Path parameters

databaseId
required
stringuuid

Database ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Databasesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

default
read-only
boolean

Whether this is the engine default database created automatically at provisioning time

id
read-only
stringuuid

Unique identifier of the database

name
read-only
string

Name of the database

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses databaseId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database/{databaseId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Create a databaseBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database

Creates a database with the given name.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

name
required
string

Name of the database to create

Response

200Databasesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

default
read-only
boolean

Whether this is the engine default database created automatically at provisioning time

id
read-only
stringuuid

Unique identifier of the database

name
read-only
string

Name of the database

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Delete a databaseBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database/{databaseId}

Permanently deletes the database.

Path parameters

databaseId
required
stringuuid

Database ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Databasesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

default
read-only
boolean

Whether this is the engine default database created automatically at provisioning time

id
read-only
stringuuid

Unique identifier of the database

name
read-only
string

Name of the database

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses databaseId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/clickhouse/{serviceId}/database/{databaseId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "default": true, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}